Subject: bug#22927: system-installed emacs does not find system-installed fonts

From: [email-masked] (Ludovic Courtès)
Date: Sun, 03 Apr 2016 22:39:14 +0200

Alex Kost <[email-masked]> skribis:

> From fc239dda52244d6bd3b645660ca0827aa17afc05 Mon Sep 17 00:00:00 2001
> From: Alex Kost <[email-masked]>
> Date: Sun, 3 Apr 2016 10:27:45 +0300
> Subject: [PATCH] gnu: fontconfig: Find fonts in the system profile.
>
> Fixes <http://bugs.gnu.org/22927>.
> Reported by myglc2 <[email-masked]>.
>
> This also reverts commit e71ef7adaece7e132a5059139122b45083ea1b39.
>
> * gnu/packages/fontutils.scm (fontconfig)[arguments]: Add
> /run/current-system/profile/share/fonts to --with-add-fonts configure flag.
> * gnu/system/shadow.scm (default-skeletons): Do not create "fonts.conf" file.

[...]

> -            ;; register fonts from user profile
> -            ;; TODO: Add /run/current-system/profile/share/fonts and remove
> -            ;; the skeleton that works around it from 'default-skeletons'.
> -            "--with-add-fonts=~/.guix-profile/share/fonts"
> +            ;; Register fonts from user and system profiles.
> +            (string-append "--with-add-fonts="
> +                           "~/.guix-profile/share/fonts,"
> +                           "/run/current-system/profile/share/fonts")

If you’ve confirmed that passing a comma-separated list here works as
expected, then please push to ‘core-updates’.

Thank you!

Ludo’.